## org.eclipse.emf.ecore
Interface EStructuralFeature.Setting

All Known Subinterfaces:
  FeatureMap.Internal

All Known Implementing Classes:
  BasicFeatureMap, DelegatingEcoreEList, DelegatingEcoreEList.Dynamic, DelegatingEcoreEList.Generic, DelegatingEcoreEList.UnmodifiableEList, DelegatingEcoreEList.Unsettable, DelegatingFeatureMap, EcoreEList, EcoreEList.Dynamic, EcoreEList.Generic, EcoreEList.UnmodifiableEList, EcoreEList.UnmodifiableEList.FastCompare, EcoreEMap, EcoreEMap.DelegateEObjectContainmentEList, EcoreEMap.Unsettable, EcoreEMap.Unsettable.UnsettableDelegateEObjectContainmentEList, EDataTypeEList, EDataTypeEList.Unsettable, EDataTypeUniqueEList, EDataTypeUniqueEList.Unsettable, EObjectContainmentEList, EObjectContainmentEList.Resolving, EObjectContainmentEList.Unsettable, EObjectContainmentEList.Unsettable.Resolving, EObjectContainmentWithInverseEList, EObjectContainmentWithInverseEList.Resolving, EObjectContainmentWithInverseEList.Unsettable, EObjectContainmentWithInverseEList.Unsettable.Resolving, EObjectEList, EObjectEList.Unsettable, EObjectResolvingEList, EObjectResolvingEList.Unsettable, EObjectWithInverseEList, EObjectWithInverseEList.ManyInverse, EObjectWithInverseEList.Unsettable, EObjectWithInverseEList.Unsettable.ManyInverse, EObjectWithInverseResolvingEList, EObjectWithInverseResolvingEList.ManyInverse, EObjectWithInverseResolvingEList.Unsettable, EObjectWithInverseResolvingEList.Unsettable.ManyInverse, EStoreEObjectImpl.BasicEStoreEList, EStoreEObjectImpl.BasicEStoreFeatureMap, EStoreEObjectImpl.EStoreEList, EStoreEObjectImpl.EStoreFeatureMap, EStructuralFeatureImpl.SettingMany, FeatureMapUtil.FeatureEList, FeatureMapUtil.FeatureEList.Basic, FeatureMapUtil.FeatureFeatureMap, FeatureMapUtil.FeatureValue

Enclosing interface:
  EStructuralFeature

    public static interface EStructuralFeature.Setting

A representation of a value held by a feature of an object. In the case of a `dynamic` instance, a setting will be the only actual representation of the object-feature-value association.

Method Summary
`java.lang.Object` `get(boolean resolve)` Returns the value held by the feature of the object; it optionally `resolves` the value.
`EObject` `getEObject()` Returns the object holding a value.
`EStructuralFeature` `getEStructuralFeature()` Returns the specific feature holding a value for the object.
`boolean` `isSet()` Returns whether a value is held by the feature of the object.
`void` `set(java.lang.Object newValue)` Set the value held by the feature of the object.
`void` `unset()` Unsets the value held by the feature of the object.

Method Detail

### getEObject

    EObject getEObject()

  Returns the object holding a value.

  Returns:
    the object holding a value.

### getEStructuralFeature

    EStructuralFeature getEStructuralFeature()

  Returns the specific feature holding a value for the object.

  Returns:
    the specific feature holding a value for the object.

### get

    java.lang.Object get(boolean resolve)

  Returns the value held by the feature of the object; it optionally `resolves` the value.

  Parameters:
    `resolve` - whether to resolve.
  Returns:
    the value held by the feature of the object.
  See Also:
    `EObject.eGet(EStructuralFeature, boolean)`

### set

    void set(java.lang.Object newValue)

  Set the value held by the feature of the object. If the new value is this setting itself, or is modified as a side effect of modifying this setting (i.e., if it is a view on the setting), the behavior is undefined and will likely result in simply clearing the list.

  Parameters:
    `newValue` - the newValue.
  See Also:
    `EObject.eSet(EStructuralFeature, Object)`

### isSet

    boolean isSet()

  Returns whether a value is held by the feature of the object.

  Returns:
    whether a value is held by the feature of the object.
  See Also:
    `EObject.eIsSet(EStructuralFeature)`

### unset

    void unset()

  Unsets the value held by the feature of the object.

  See Also:
    `EObject.eUnset(EStructuralFeature)`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.